package com.sunxung.factoring.entity.project;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.sunxung.factoring.entity.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;

/**
 * <p>
 * 项目核心企业-重大异常诉讼
 * </p>
 *
 * @author liutao
 * @since 2023-12-15
 */
@TableName("project_core_enterprise_major_abnormal_litigation")
public class ProjectCoreEnterpriseMajorAbnormalLitigation {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 项目核心企业审核id
     */
    @TableField("project_core_enterprise_audit_id")
    private Long projectCoreEnterpriseAuditId;

    /**
     * sop端 裁判文书信息id
     */
    @TableField("c_judgment_documents_id")
    private Long cJudgmentDocumentsId;

    /**
     * 文书标题
     */
    @TableField("case_name")
    private String caseName;

    /**
     * 案由
     */
    @TableField("case_reason")
    private String caseReason;

    /**
     * 案号
     */
    @TableField("case_No")
    private String caseNo;

    /**
     * 案件金额（元）
     */
    @TableField("amount")
    private String amount;

    /**
     * 裁判结果
     */
    @TableField("judge_result")
    private String judgeResult;

    /**
     * 裁判日期
     */
    @TableField("judge_date")
    private String judgeDate;

    /**
     * 发布日期
     */
    @TableField("publish_date")
    private String publishDate;

    /**
     * 当事人
     */
    @TableField("party_name")
    private String partyName;

    /**
     * 重大异常诉讼 0 否 1 是
     */
    @TableField("major_abnormal_litigation")
    private Integer majorAbnormalLitigation;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getProjectCoreEnterpriseAuditId() {
        return projectCoreEnterpriseAuditId;
    }

    public void setProjectCoreEnterpriseAuditId(Long projectCoreEnterpriseAuditId) {
        this.projectCoreEnterpriseAuditId = projectCoreEnterpriseAuditId;
    }
    public Long getcJudgmentDocumentsId() {
        return cJudgmentDocumentsId;
    }

    public void setcJudgmentDocumentsId(Long cJudgmentDocumentsId) {
        this.cJudgmentDocumentsId = cJudgmentDocumentsId;
    }
    public String getCaseName() {
        return caseName;
    }

    public void setCaseName(String caseName) {
        this.caseName = caseName;
    }
    public String getCaseReason() {
        return caseReason;
    }

    public void setCaseReason(String caseReason) {
        this.caseReason = caseReason;
    }
    public String getCaseNo() {
        return caseNo;
    }

    public void setCaseNo(String caseNo) {
        this.caseNo = caseNo;
    }
    public String getAmount() {
        return amount;
    }

    public void setAmount(String amount) {
        this.amount = amount;
    }
    public String getJudgeResult() {
        return judgeResult;
    }

    public void setJudgeResult(String judgeResult) {
        this.judgeResult = judgeResult;
    }
    public String getJudgeDate() {
        return judgeDate;
    }

    public void setJudgeDate(String judgeDate) {
        this.judgeDate = judgeDate;
    }
    public String getPublishDate() {
        return publishDate;
    }

    public void setPublishDate(String publishDate) {
        this.publishDate = publishDate;
    }
    public String getPartyName() {
        return partyName;
    }

    public void setPartyName(String partyName) {
        this.partyName = partyName;
    }
    public Integer getMajorAbnormalLitigation() {
        return majorAbnormalLitigation;
    }

    public void setMajorAbnormalLitigation(Integer majorAbnormalLitigation) {
        this.majorAbnormalLitigation = majorAbnormalLitigation;
    }

    @Override
    public String toString() {
        return "ProjectCoreEnterpriseMajorAbnormalLitigation{" +
            "projectCoreEnterpriseAuditId=" + projectCoreEnterpriseAuditId +
            ", cJudgmentDocumentsId=" + cJudgmentDocumentsId +
            ", caseName=" + caseName +
            ", caseReason=" + caseReason +
            ", caseNo=" + caseNo +
            ", amount=" + amount +
            ", judgeResult=" + judgeResult +
            ", judgeDate=" + judgeDate +
            ", publishDate=" + publishDate +
            ", partyName=" + partyName +
            ", majorAbnormalLitigation=" + majorAbnormalLitigation +
        "}";
    }
}
